import * as Signatures from './signatures.js';
import { ResponseData } from './types.js';
/**
 * This function validates the inputs to newBooking()
 */
export declare function validateNewBookingInput(body: Signatures.NewBookingBody): boolean;
/**
 * This function validates the outputs of newBooking()
 */
export declare function validateNewBookingOutput(response: ResponseData): response is Signatures.NewBookingResponse;
/**
 * This function validates the inputs to updateBooking()
 */
export declare function validateUpdateBookingInput(parameters: Signatures.UpdateBookingParameters, body: Signatures.UpdateBookingBody): boolean;
/**
 * This function validates the outputs of updateBooking()
 */
export declare function validateUpdateBookingOutput(response: ResponseData): response is Signatures.UpdateBookingResponse;
/**
 * This function validates the inputs to deleteBooking()
 */
export declare function validateDeleteBookingInput(parameters: Signatures.DeleteBookingParameters): boolean;
/**
 * This function validates the outputs of deleteBooking()
 */
export declare function validateDeleteBookingOutput(response: ResponseData): response is Signatures.DeleteBookingResponse;
/**
 * This function validates the inputs to getBooking()
 */
export declare function validateGetBookingInput(parameters: Signatures.GetBookingParameters): boolean;
/**
 * This function validates the outputs of getBooking()
 */
export declare function validateGetBookingOutput(response: ResponseData): response is Signatures.GetBookingResponse;
/**
 * This function validates the inputs to destroyBooking()
 */
export declare function validateDestroyBookingInput(parameters: Signatures.DestroyBookingParameters): boolean;
/**
 * This function validates the outputs of destroyBooking()
 */
export declare function validateDestroyBookingOutput(response: ResponseData): response is Signatures.DestroyBookingResponse;
//# sourceMappingURL=requestValidation.d.ts.map