import * as Signatures from './signatures.js';
import { ResponseData } from './types.js';
/**
 * This function validates the inputs to lockBooking()
 */
export declare function validateLockBookingInput(parameters: Signatures.LockBookingParameters): boolean;
/**
 * This function validates the outputs of lockBooking()
 */
export declare function validateLockBookingOutput(response: ResponseData): response is Signatures.LockBookingResponse;
/**
 * This function validates the inputs to unlockBooking()
 */
export declare function validateUnlockBookingInput(parameters: Signatures.UnlockBookingParameters): boolean;
/**
 * This function validates the outputs of unlockBooking()
 */
export declare function validateUnlockBookingOutput(response: ResponseData): response is Signatures.UnlockBookingResponse;
/**
 * This function validates the inputs to bookingCallback()
 */
export declare function validateBookingCallbackInput(parameters: Signatures.BookingCallbackParameters): boolean;
/**
 * This function validates the outputs of bookingCallback()
 */
export declare function validateBookingCallbackOutput(response: ResponseData): response is Signatures.BookingCallbackResponse;
//# sourceMappingURL=requestValidation.d.ts.map